Subject: Re: Git merge driver / attributes bug in 2.3.1?

From: Michael J Gruber <[email-masked]>
Date: Fri, 06 Mar 2015 12:25:50 +0100

Gondek, Andreas venit, vidit, dixit 05.03.2015 14:30:
> Hello,
> 
> after upgrading the Git installation on one of our development
> servers from 1.9.0-rc3 to 2.3.1 we are experiencing strange behavior
> of merge drivers.
> 
> A merge driver registered as "* merge=<name_of_merge_driver>" in the
> .gitattributes is now executed even if there isn't any merge
> conflict. This only happens for files that are part of the merge.
> 
> This is reproducible in test repositories.

Can you share a minimal test repo?

I've been trying to reproduce this, unsuccessfully so far.

I guess it depends on how exactly those files are "part of the merge",
and how the merge driver is set up. (I've tried with and without recursive.)

Michael